Get ProcedureMethodDefinitionVersion by ID
Get a single ProcedureMethodDefinitionVersion by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
procedure_method_definition_version_id
ID of the ProcedureMethodDefinitionVersion.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
createdAt
dataParameterSettings
description
equipmentSettings
id
materialInputSettings
materialOutputSettings
name
nodeId
stepGroups
Errors
400
Procedure Method Definition Version Get Request Bad Request Error
403
Procedure Method Definition Version Get Request Forbidden Error
404
Procedure Method Definition Version Get Request Not Found Error
429
Procedure Method Definition Version Get Request Too Many Requests Error
500
Procedure Method Definition Version Get Request Internal Server Error